For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lists all teams

Retrieve a list of teams by providing the parameters such as, name, namespace_id, and seller_id. Use the page_token to navigate through the pages and page_size to specify the number of teams returned

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieve a list of teams by providing the parameters such as, name, namespace_id, and seller_id. Use the page_token to navigate through the pages and page_size to specify the number of teams returned per page."

Lists all teams

Lists all teams

get

Retrieve a list of teams by providing the parameters such as, name, namespace_id, and seller_id. Use the page_token to navigate through the pages and page_size to specify the number of teams returned per page.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
pageTokenstringOptional

Use this token to paginate through the list of teams. Pass it in subsequent requests to continue from where the previous call left off.

pageSizestring · int64Optional

Define the number of teams to return per page. Defaults to 20 if not specified.

sortOptionstring · enumOptional

Defines the order for sorting the response by timestamp. DEPRECATED: Use sort_options instead.

Default: SORT_OPTION_DESCPossible values:
namestringOptional

Filters the list by the specified team name.

namespaceIdstringOptional

Filters the list by the specified namespace.

companyTypestring · enumOptional

Filters the list by the specified company type.

Possible values:
isMemberOnlybooleanOptional

Filters the response to include only teams that the user is a member of.

sellerIdstringOptional

Filters the list by the specified sellerId.

sortOptions.keystring · enumOptional

Defines the key for sorting teams, enabling you to tailor team organization to your needs. You can sort by keys such as name and updated_at, and set the order to either ascending (ASC) or descending (DESC). Specify both the key and order to achieve precise sorting results.

Possible values:
sortOptions.orderstring · enumOptional

Specifies the order in which the teams are sorted. Choose from ascending (SORT_OPTION_ORDER_ASC) or descending (SORT_OPTION_ORDER_DESC) order.

Default: SORT_OPTION_ORDER_DESCPossible values:
Responses
200

A list of teams and a pagination token.

application/json
nextPageTokenstringOptional

Token to retrieve the next page of results.

totalCountstring · int64Optional

Total count of records that exists.

get/v2/teams
GET /v2/teams HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "nextPageToken": "text",
  "teams": [
    {
      "businessIdentifier": "biz_AB12345",
      "companyAddress": {
        "addressLine": "123 Main St",
        "postcode": "12345"
      },
      "companyName": "Innovative Solutions Ltd.",
      "companyPhone": "+1-234-567-8901",
      "companyType": "COMPANY_TYPE_RETAILER",
      "companyWebsite": "https://www.innovativesolutions.com",
      "id": "team_001XYZ",
      "industryType": "INDUSTRY_TYPE_GROCERY",
      "logoId": "logo_567XYZ",
      "modifyTime": "2024-02-14T23:45:01Z",
      "name": "Development Team",
      "namespaceId": "namespace_ABC123",
      "onBehalfOf": "Ad Sponsor Ltd.",
      "reviewerEmail": "reviewer@innovativesolutions.com",
      "sellerId": "seller_990XYZ",
      "userIds": [
        "user_001",
        "user_002",
        "user_003"
      ]
    }
  ],
  "totalCount": "text"
}